﻿using System.Windows;
using System.Windows.Controls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;
using System;
using System.Threading;
using System.Collections.ObjectModel;

namespace DisplayASimpleMapForWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void WpfMap_Loaded(object sender, RoutedEventArgs e)
        {
            wpfMap1.MapUnit = GeographyUnit.DecimalDegree;

            IconValueStyle iconValueStyle = new IconValueStyle("FETYPE");
            IconValueItem item1 = new IconValueItem("Rd", @"Resources\left.png", new TextStyle("NAME", new GeoFont("Arial", 8, DrawingFontStyles.Bold), new GeoSolidBrush(GeoColor.StandardColors.White)));
            item1.TextValueLengthMin = 1;
            item1.TextValueLengthMax = 5;

            IconValueItem item2 = new IconValueItem("Dr", @"Resources\right.png", new TextStyle("FETYPE", new GeoFont("Arial", 8, DrawingFontStyles.Bold), new GeoSolidBrush(GeoColor.StandardColors.White)));
            item2.TextValueLengthMin = 1;
            item2.TextValueLengthMax = 5;

            IconValueItem item3 = new IconValueItem("St", @"Resources\up.png", new TextStyle("FETYPE", new GeoFont("Arial", 8, DrawingFontStyles.Bold), new GeoSolidBrush(new GeoColor(255, 250, 220, 12))));
            item3.TextValueLengthMin = 1;
            item3.TextValueLengthMax = 5;

            IconValueItem item4 = new IconValueItem("Cir", @"Resources\down.png", new TextStyle("FETYPE", new GeoFont("Arial", 8, DrawingFontStyles.Bold), new GeoSolidBrush(new GeoColor(255, 250, 220, 12))));
            item4.TextValueLengthMin = 1;
            item4.TextValueLengthMax = 5;

            iconValueStyle.IconValueItems.Add(item1);
            iconValueStyle.IconValueItems.Add(item2);
            iconValueStyle.IconValueItems.Add(item3);
            iconValueStyle.IconValueItems.Add(item4);

            //iconValueStyle.GridSize = 200;
            iconValueStyle.SuppressPartialLabels = true;
            iconValueStyle.TextLineSegmentRatio = 10;

            ShapeFileFeatureLayer shapefileFeatureLayer = new ShapeFileFeatureLayer(@"C:\Program Files (x86)\ThinkGeo\Map Suite Wpf Desktop Full Edition 7.0\Samples\CSharp Samples\SampleData\Data\Austinstreets.shp");
            shapefileFeatureLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(iconValueStyle);
            shapefileFeatureLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(LineStyles.CreateSimpleLineStyle(GeoColor.SimpleColors.Green,2,false));
            shapefileFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay overlay = new LayerOverlay();
            overlay.Layers.Add(shapefileFeatureLayer);
            wpfMap1.Overlays.Add(overlay);

            shapefileFeatureLayer.Open();
            wpfMap1.CurrentExtent = shapefileFeatureLayer.GetBoundingBox();
        }

    }
}
